import Layout from '@/layout'

const ums = {
  path: '/ums',
  component: Layout,
  name: 'Ums',
  meta: { title: '用户中心', icon: 'user' },
  redirect: '/ums/customer',
  children: [
    {
      path: 'customer',
      component: () => import('@/views/ums/customer/index'),
      name: 'UmsCustomer',
      meta: { title: '注册用户', icon: 'list' }
    },
    {
      path: 'singer',
      component: () => import('@/views/ums/singer/index'),
      name: 'UmsSinger',
      meta: { title: '艺人', icon: 'el-icon-microphone' }
    },
    {
      path: 'personnel',
      component: () => import('@/views/ums/personnel/index'),
      name: 'UmsPersonnel',
      meta: { title: '吧台', icon: 'peoples' }
    },
    {
      path: 'boss',
      component: () => import('@/views/ums/boss/index'),
      name: 'UmsBoss',
      meta: { title: '老板', icon: 'people' }
    }
  ]
}

export default ums
